# Contributing

## Code Analysis
To check the code quality, run
```php
composer check
```

To fix any style issues, run
```php
composer fix
```

## Tests
To run the test suite, execute
```php
composer test
```

## Build
[Box](https://github.com/box-project/box) is used to create the phar archive. Run the following command to create the phar:
```sh
./box.phar compile
```