<?php

declare(strict_types=1);

namespace Fbrinker\ExtensionCheck\Extension;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

class ExtensionCheckFactory implements FactoryInterface
{
    /**
    * @param array<mixed> $options
    */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        return new ExtensionCheck(
            $container->get(ExtensionDetails::class)
        );
    }
}
