<?php

use Fbrinker\ExtensionCheck\Command\CheckCommand;
use Fbrinker\ExtensionCheck\Command\CheckCommandFactory;
use Fbrinker\ExtensionCheck\Extension\ExtensionCheck;
use Fbrinker\ExtensionCheck\Extension\ExtensionCheckFactory;
use Fbrinker\ExtensionCheck\Extension\ExtensionDetails;
use Fbrinker\ExtensionCheck\Output\SymfonyStyleFactory;
use Fbrinker\ExtensionCheck\Parser\FileParser;
use Fbrinker\ExtensionCheck\Parser\FileParserFactory;
use Laminas\ServiceManager\Factory\InvokableFactory;

return [
    'factories' => [
        CheckCommand::class => CheckCommandFactory::class,
        ExtensionCheck::class => ExtensionCheckFactory::class,
        ExtensionDetails::class => InvokableFactory::class,
        FileParser::class => FileParserFactory::class,
        SymfonyStyleFactory::class => InvokableFactory::class,
    ],
];
